- entry_type: violation_sequence
  metadata:
    format_version: '2.0'
    uuid: b6f2b88d-6b5e-4ce3-ab21-9fe3b815c3ce
    creation_time: '2024-11-21T14:24:28+01:00'
    producer:
      name: GemCutter
      version: 0.3.0-dev-1f73d82-m
    task:
      input_files:
      - /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i
      input_file_hashes:
        /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i: 697ff70a4856546a25a8cc2eb04fc80299855e02086960ffcc9a4790310db5da
      specification: |+
        CHECK( init(main()), LTL(G ! call(reach_error())) )

      data_model: ILP32
      language: C
  content:
  - segment:
    - waypoint:
        type: function_enter
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i
          file_hash: 697ff70a4856546a25a8cc2eb04fc80299855e02086960ffcc9a4790310db5da
          line: 784
          column: 57
          function: P1
  - segment:
    - waypoint:
        type: branching
        action: follow
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i
          file_hash: 697ff70a4856546a25a8cc2eb04fc80299855e02086960ffcc9a4790310db5da
          line: 18
          column: 42
          function: __VERIFIER_assert
  - segment:
    - waypoint:
        type: function_return
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i
          file_hash: 697ff70a4856546a25a8cc2eb04fc80299855e02086960ffcc9a4790310db5da
          line: 784
          column: 57
          function: P1
  - segment:
    - waypoint:
        type: function_enter
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i
          file_hash: 697ff70a4856546a25a8cc2eb04fc80299855e02086960ffcc9a4790310db5da
          line: 859
          column: 39
          function: main
  - segment:
    - waypoint:
        type: branching
        action: follow
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i
          file_hash: 697ff70a4856546a25a8cc2eb04fc80299855e02086960ffcc9a4790310db5da
          line: 3
          column: 3
          function: assume_abort_if_not
  - segment:
    - waypoint:
        type: function_return
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i
          file_hash: 697ff70a4856546a25a8cc2eb04fc80299855e02086960ffcc9a4790310db5da
          line: 859
          column: 39
          function: main
  - segment:
    - waypoint:
        type: function_enter
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i
          file_hash: 697ff70a4856546a25a8cc2eb04fc80299855e02086960ffcc9a4790310db5da
          line: 872
          column: 37
          function: main
  - segment:
    - waypoint:
        type: branching
        action: follow
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i
          file_hash: 697ff70a4856546a25a8cc2eb04fc80299855e02086960ffcc9a4790310db5da
          line: 18
          column: 42
          function: __VERIFIER_assert
  - segment:
    - waypoint:
        type: target
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/safe012_power.opt.i
          file_hash: 697ff70a4856546a25a8cc2eb04fc80299855e02086960ffcc9a4790310db5da
          line: 18
          column: 69
          function: __VERIFIER_assert
